**********************************************************************************;
* validate_datasetxml.sas                                                        *;
*                                                                                *;
* Sample driver program to validate a number of Dataset-XML V1.0.0 files and the *;
* corresponding Define-XML file.                                                 *; 
*                                                                                *;
**********************************************************************************;

**********************************************************************************;
* Location of this folder structure                                              *;
**********************************************************************************;
%let DatasetXMLRoot=/datasetxml;

**********************************************************************************;
* Set Root paths for input and output                                            *;
**********************************************************************************;
%let studyRootPath=/datasetxml;

**********************************************************************************;
* Make the macros and Groovy code available                                      *;
**********************************************************************************;
options  mautosource sasautos=("&DatasetXMLRoot/macros", sasautos);
%include "&DatasetXMLRoot/macros/xml_validate.groovy";

**********************************************************************************;
* Run the validation process                                                     *;
**********************************************************************************;

%xml_validate(
  xsdFile=&DatasetXMLRoot/schema-repository/cdisc-datasetxml-1.0.0/dataset1-0-0.xsd,
  xmlFolder=&studyRootPath/xmldata/sdtm,
  whereClause=%nrstr(where index(upcase(xmlfile), "DEFINE") eq 0)
  );

%xml_validate(
  xsdFile=&DatasetXMLRoot/schema-repository/cdisc-definexml-2.0.0/define2-0-0.xsd,
  xmlFolder=&studyRootPath/xmldata/sdtm,
  whereClause=%nrstr(where index(upcase(xmlfile), "DEFINE") ge 1)
  );

%xml_validate(
  xsdFile=&DatasetXMLRoot/schema-repository/cdisc-datasetxml-1.0.0/dataset1-0-0.xsd,
  xmlFolder=&studyRootPath//xmldata/adam,
  whereClause=%nrstr(where index(upcase(xmlfile), "DEFINE") eq 0)
  );

%xml_validate(
  xsdFile=&DatasetXMLRoot/schema-repository/cdisc-crtdds-1.0.0/define1-0-0.xsd,
  xmlFolder=&studyRootPath/xmldata/adam,
  whereClause=%nrstr(where index(upcase(xmlfile), "DEFINE") ge 1)
  );

